<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>TransformBuffer - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="AdjustableTransform.html">AdjustableTransform</a><ul class='members'><li data-type='member' style='display: none;'><a href="AdjustableTransform.html#costs">costs</a></li><li data-type='member' style='display: none;'><a href="AdjustableTransform.html#upsilons">upsilons</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#isConnected">isConnected</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#isDependent">isDependent</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#df">df</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#df">df</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#getB">getB</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#getBValues">getBValues</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#adjust">adjust</a></li><li data-type='method' style='display: none;'><a href="AdjustableTransform.html#adjustWeights">adjustWeights</a></li></ul></li><li><a href="BufferedOutputWeightAdjustment.html">BufferedOutputWeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="BufferedOutputWeightAdjustment.html#setValues">setValues</a></li><li data-type='method' style='display: none;'><a href="BufferedOutputWeightAdjustment.html#o">o</a></li></ul></li><li><a href="EntropyWeightAdjustment.html">EntropyWeightAdjustment</a><ul class='members'></ul></li><li><a href="LpOutputWeightAdjustment.html">LpOutputWeightAdjustment</a><ul class='members'></ul></li><li><a href="NLNTransform.html">NLNTransform</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="NLNTransform.html#createConnection">createConnection</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#getW">getW</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#setWeights">setWeights</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#h">h</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#dh">dh</a></li><li data-type='method' style='display: none;'><a href="NLNTransform.html#g">g</a></li></ul></li><li><a href="OutputWeightAdjustment.html">OutputWeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="OutputWeightAdjustment.html#o">o</a></li></ul></li><li><a href="QuadLin.html">QuadLin</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="QuadLin.html#setWo">setWo</a></li><li data-type='method' style='display: none;'><a href="QuadLin.html#f">f</a></li><li data-type='method' style='display: none;'><a href="QuadLin.html#df">df</a></li><li data-type='method' style='display: none;'><a href="QuadLin.html#dw">dw</a></li></ul></li><li><a href="QuadLinOutputWeightAdjustment.html">QuadLinOutputWeightAdjustment</a><ul class='members'></ul></li><li><a href="QuadLinWeightRegularization.html">QuadLinWeightRegularization</a><ul class='members'></ul></li><li><a href="RandomOutputWeightAdjustment.html">RandomOutputWeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="RandomOutputWeightAdjustment.html#o">o</a></li></ul></li><li><a href="RandomTransformInput.html">RandomTransformInput</a><ul class='members'></ul></li><li><a href="ReservoirTransform.html">ReservoirTransform</a><ul class='members'></ul></li><li><a href="Sigmoid.html">Sigmoid</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Sigmoid.html#f">f</a></li><li data-type='method' style='display: none;'><a href="Sigmoid.html#df">df</a></li></ul></li><li><a href="Transform.html">Transform</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Transform.html#init">init</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getParameter">getParameter</a></li><li data-type='method' style='display: none;'><a href="Transform.html#asString">asString</a></li><li data-type='method' style='display: none;'><a href="Transform.html#f">f</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getF">getF</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getFValues">getFValues</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getW">getW</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getWeights">getWeights</a></li><li data-type='method' style='display: none;'><a href="Transform.html#setW">setW</a></li><li data-type='method' style='display: none;'><a href="Transform.html#setWeights">setWeights</a></li><li data-type='method' style='display: none;'><a href="Transform.html#setWeights">setWeights</a></li><li data-type='method' style='display: none;'><a href="Transform.html#getWeightsDistance">getWeightsDistance</a></li></ul></li><li><a href="TransformBuffer.html">TransformBuffer</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="TransformBuffer.html#add">add</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#load">load</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#get">get</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getUnitCount">getUnitCount</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getTimeCount">getTimeCount</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getUnitSlice">getUnitSlice</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getTimeSlice">getTimeSlice</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getSamples">getSamples</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#getChannels">getChannels</a></li><li data-type='method' style='display: none;'><a href="TransformBuffer.html#asString">asString</a></li></ul></li><li><a href="TransformInput.html">TransformInput</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="TransformInput.html#setValues">setValues</a></li><li data-type='method' style='display: none;'><a href="TransformInput.html#i">i</a></li></ul></li><li><a href="TransformObserver.html">TransformObserver</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="TransformObserver.html#add">add</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#getStat">getStat</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#getStats">getStats</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#plotData">plotData</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#simulate">simulate</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#getSpatialDivergence">getSpatialDivergence</a></li><li data-type='method' style='display: none;'><a href="TransformObserver.html#asString">asString</a></li></ul></li><li><a href="WeightAdjustment.html">WeightAdjustment</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="WeightAdjustment.html#c">c</a></li><li data-type='method' style='display: none;'><a href="WeightAdjustment.html#dc">dc</a></li></ul></li><li><a href="WeightRegularization.html">WeightRegularization</a><ul class='members'><li data-type='member' style='display: none;'><a href="WeightRegularization.html#.upsilon">upsilon</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="WeightRegularization.html#l">l</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">TransformBuffer</h1>
    

    




<section>

<header>
    
        <h2>
        
            TransformBuffer
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="TransformBuffer"><span class="type-signature"></span>new TransformBuffer<span class="signature">()</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Defines a data buffer with some statistics estimation.</p>
<ul>
<li>The data is structured in terms of named ``channel´´ storing spatio-temporal values indexed bay <code>(n, t)</code>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id="add"><span class="type-signature"></span>add<span class="signature">(c, n, t, value)</span><span class="type-signature"> &rarr; {double}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Adds a value in a buffer.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>n</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>Input unit index.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>t</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>Current time.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
                
<span class="param-type">double</span>



            
            </td>

            

            

            <td class="description last"><p>The current value;</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The input value to allow constructs of, e.g., the form:<br>
<code>double v = system.add(&quot;input&quot;, n, t, system.i(n, t));</code></p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">double</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="load"><span class="type-signature"></span>load<span class="signature">(filename)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Adds values from a JSON file.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>filename</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The file name.</p>
<ul>
<li>Multi-unit values are given in an unit-indexed array of array with time-slice values.</li>
<li>Mono-unit values are given in an array with time-slice values.</li>
<li>Channel values are given in a record, e.g.: <br/><code>{ channel-name: [[x_00 x_01 ...] ...]}</code>.</li>
<li>The default channel name is the file basename.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id="clear"><span class="type-signature"></span>clear<span class="signature">(c<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Clears a buffer channel values.</p>
<ul>
<li>Without a channel name, clear all values.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id="get"><span class="type-signature"></span>get<span class="signature">(c, n, t)</span><span class="type-signature"> &rarr; {double}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a buffered value.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>n</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The unit index.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>t</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>Current time.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The stored value, or <code>NAN</code> if undefined.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">double</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="getUnitCount"><span class="type-signature"></span>getUnitCount<span class="signature">(c)</span><span class="type-signature"> &rarr; {uint}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the number of units.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The  number of units.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">uint</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="getTimeCount"><span class="type-signature"></span>getTimeCount<span class="signature">(c)</span><span class="type-signature"> &rarr; {uint}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the number of time-steps.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The  number of time-steps.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">uint</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="getUnitSlice"><span class="type-signature"></span>getUnitSlice<span class="signature">(c, n)</span><span class="type-signature"> &rarr; {Array}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a the temporal value of a given buffer.</p>
<ul>
<li>Statistics on the stored values can be obtained using: <a href="https://line.gitlabpages.inria.fr/aide-group/aidesys/stats.html#.getStat"><code>aidesys::getStat(·)</code></a>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>n</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>Input unit index.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A <code>std::vector&lt;double&gt;</code> with the stored values, indexed by <code>t</code>.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="getTimeSlice"><span class="type-signature"></span>getTimeSlice<span class="signature">(c, t)</span><span class="type-signature"> &rarr; {Array}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a the temporal value of a given buffer.</p>
<ul>
<li>Statistics on the stored values can be obtained using: <a href="https://line.gitlabpages.inria.fr/aide-group/aidesys/stats.html#.getStat"><code>aidesys::getStat(·)</code></a>.</li>
<li>Time slices are buffered under the <code>$c-@t:$t</code> channel name, where <code>$c</code> stands for the channel name and <code>$t</code> the time value.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>t</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>Current time.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A <code>std::vector&lt;double&gt;</code> with the stored values, indexed by <code>n</code>.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="getSamples"><span class="type-signature"></span>getSamples<span class="signature">(c)</span><span class="type-signature"> &rarr; {Array}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns all values of a given channel.</p>
<ul>
<li>Statistics on the stored values can be obtained using: <a href="https://line.gitlabpages.inria.fr/aide-group/aidesys/stats.html#.getStat"><code>aidesys::getStat(·)</code></a>.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>c</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>The buffer channel name.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A <code>std::vector&lt;double&gt;</code> with the stored values, indexed row wise: <code>value(n, t) = buffer[n + N * t]</code>.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Array</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="getChannels"><span class="type-signature"></span>getChannels<span class="signature">()</span><span class="type-signature"> &rarr; {JSON}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the set of all channels.</p>
<ul>
<li>It can be used to check if a channel exists: <code>buffer.getChannels().isMember(&quot;channel&quot;)</code>.</li>
<li>It returns a data structure of the form:</li>
</ul>
<pre class="prettyprint source"><code>{
  channel: { N: ... T: ... }
  ../..
}
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



























<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The given wjson data structure.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">JSON</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id="asString"><span class="type-signature"></span>asString<span class="signature">()</span><span class="type-signature"> &rarr; {string}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the object parameters as a parsable weak json string.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



























<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>All channels unit and time counts.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">string</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>